curl --request GET \
--url https://api.hubapi.com/crm-objects/v1/change-log/line_items[
{
"timestamp": 1525297495553,
"changeType": "CHANGED",
"objectId": 9845651,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"price",
"quantity"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525297514887,
"changeType": "CHANGED",
"objectId": 9845651,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"quantity",
"hs_product_id"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298220133,
"changeType": "CHANGED",
"objectId": 9867373,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"quantity"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298357009,
"changeType": "CREATED",
"objectId": 9867373,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"hs_product_id",
"quantity",
"price",
"name",
"description"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
}
]Create a new line item. The request body should be a list of properties you want to set for the new line item, with each entry being the internal name of the property to be set, and the value of that property. You must set the hs_product_id property when creating a line item. This property needs to be the objectId of a product object, and represents the product being sold.
curl --request GET \
--url https://api.hubapi.com/crm-objects/v1/change-log/line_items[
{
"timestamp": 1525297495553,
"changeType": "CHANGED",
"objectId": 9845651,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"price",
"quantity"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525297514887,
"changeType": "CHANGED",
"objectId": 9845651,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"quantity",
"hs_product_id"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298220133,
"changeType": "CHANGED",
"objectId": 9867373,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"quantity"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298357009,
"changeType": "CREATED",
"objectId": 9867373,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"hs_product_id",
"quantity",
"price",
"name",
"description"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
}
]Scope requirements
Successful response - Create a new line item
The response is of type object.
Was this page helpful?